This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 52198 - in.telnetd errors on getpeername socket operation on non-socket
in.telnetd errors on getpeername socket operation on non-socket
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: telnet (Show other bugs)
7.1
i386 Linux
medium Severity low
: ---
: ---
Assigned To: Harald Hoyer
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-08-21 13:29 EDT by Bret Frohwein
Modified: 2007-04-18 12:36 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-08-28 12:39:33 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Bret Frohwein 2001-08-21 13:29:12 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 5.5; Windows 95)

Description of problem:
when trying to invoke the telnet daemon (vers server-17.10-i386 and server-
17.18) returns with error in.telnetd:getpeername:socket operation on non-
socket.  the daemon will however, run in debug mode and accept connections 
while running in debug mode. This is happening on 5 different machines off 
the cd install.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.signed on the console as root execute /usr/sbin/in.telnetd
2.
3.
	

Actual Results:  in.telnetd: getpeername: socket operation on non-socket

Expected Results:  the daemon should have started

Additional info:

I've poked around a few of the config files to make sure telnet was setup 
in services, etc.. nothing has been added to these servers and 
reinstalling with defaults isn't solving the problem.
Comment 1 Bret Frohwein 2001-08-28 12:38:04 EDT
I've managed to clear up 3/4 of my problem.. sifting through the white papers I 
found an article which stated that I should type, "chkconfig telnet on" then 
issue a reset to xinetd and telnet spawns now when you try to open a session.  
Also I've now installed RH Linux 7.1 on additional machines.  This problem 
seems to ONLY happen on Compaq Deskpro EN desktop machines.  These are new 
machines (as of July)..  Hope this is helpful.   Bret
Comment 2 Bret Frohwein 2001-08-28 12:39:29 EDT
forgot to note that trying to maunally start telnet I still receive the socket 
errors..
Comment 3 Pekka Savola 2001-09-06 03:27:52 EDT
You were trying to run telnetd directly, not through (x)inetd as it should, thus
the error.

I think the desktop, where it still isn't working, isn't running it properly
from xinetd either.

Marking NOTABUG.  If you still can't get it to work, please post
/etc/xinet.d/telnet settings and what you get in /var/log/messages when
restarting xinetd (at least).

Note You need to log in before you can comment on or make changes to this bug.